import { defineStore } from 'pinia'
import { t } from '@/locale'
import { redirect, getToken } from '@/utils/common'

interface Index {
    pintuanComponentsLoad: AnyObject
}

const usePintuanIndexStore = defineStore('Index', {
    state: (): Index => {
        return {
            pintuanComponentsLoad: []
        }
    },
    actions: {
        setPintuanComponentsLoad(data: any) {
            this.pintuanComponentsLoad.push(data)
        },
        removePintuanComponentsLoad() {
            this.pintuanComponentsLoad = []
        }
    }
})

export default usePintuanIndexStore
